### Function

# Gimp context_set_line_miter_limit

#### Declaration [src]

    gboolean
    gimp_context_set_line_miter_limit (
      gdouble miter_limit
    )

#### Description [src]

Set the line miter limit setting.

This procedure modifies the line miter limit setting for stroking lines. A mitered join is converted to a bevelled join if the miter would extend to a distance of more than (miter-limit * line-width) from the actual join point.

This setting affects the following procedures: gimp_drawable_edit_stroke_selection(), gimp_drawable_edit_stroke_item().

Available since: | 2.10

#### Parameters

`miter_limit` | `gdouble`
| The line miter limit setting.

#### Return value

Returns: | `gboolean`
| TRUE on success.